Bug 1680567 - Reporting Engine API to list report template per organization/location returns 404 error
Summary: Reporting Engine API to list report template per organization/location return...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Reporting
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.8.0
Assignee: Shira Maximov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1728441 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-25 10:31 UTC by hprakash
Modified: 2020-10-27 12:58 UTC (History)
8 users (show)

Fixed In Version: foreman-2.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 12:58:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 28987 Normal Closed Reporting Engine API to list report template per organization/location returns 404 error 2020-11-20 05:01:48 UTC
Red Hat Knowledge Base (Solution) 4275521 None None None 2020-06-09 10:48:44 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 12:58:34 UTC

Description hprakash 2019-02-25 10:31:54 UTC
Description of problem:
Listing of Report Templates per location/organization through the API mentioned at-

https://<satellite-fqdn>/apidoc/v2/report_templates/index.html

is not working, it returns below error-

The page you were looking for doesn't exist (404)


Version-Release number of selected component (if applicable):
Satellite 6.5.0
RHEL7.5

How reproducible:
Always

Steps to Reproduce:
1. Create a new Report Template, associate it to a specific Organization and Location
2. Using the assigned Location id, fire the below API request-
$ curl  -u admin:<pwd> -k -X GET   https://<sat-fqdn>/api/organization/10/report_templates  -H 'content-type: application/json' 
$ curl  -u admin:<pwd> -k -X GET   https://<sat-fqdn>/api/location/03/report_templates  -H 'content-type: application/json' 

Both requests, shows the error page with below title-
The page you were looking for doesn't exist (404)
3.

Actual results:
API for listing report template per location/organization returns 404 error

Expected results:
Should list the requested report.

Additional info:
1- Proper Organization and Location is assigned to the Report Template, e.g.-

$ curl -u admin:<pwd> -k -X GET   https://<sat-fqdn>/api/report_templates/154  -H 'content-type: application/json' | grep organization
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  1295    0  1295    0     0  10489      0 --:--:-- --:--:-- --:--:-- 10528
{"template":"<%#\nname: Registered hosts\nsnippet: false\ntemplate_inputs:\n- name: Hosts filter\n  required: false\n  input_type: user\n  description: Limit the report only on hosts found by this search query. Keep empty\n    for report on all available hosts.\n  advanced: false\nmodel: ReportTemplate\nrequire:\n- plugin: katello\n version: 3.9.0\n-%>\n<%- load_hosts(search: input('Hosts filter'), includes: [:operatingsystem, :subscriptions, :kernel_release, :interfaces, :owner, :applicable_errata, :applicable_rpms]).each_record do |host| -%>\n<%-   report_row(\n        'Name': host.name,\n        'Ip': host.ip,\n        'Operating System': host.operatingsystem,\n        'Subscriptions': host_subscriptions(host),\n        'Applicable Errata': host_applicable_errata_ids(host),\n        'Owner': host.owner,\n        'Kernel': host_kernel_release(host),\n        'Latest kernel available': host_latest_applicable_rpm_version(host, 'kernel')\n      ) -%>\n<%- end -%>\n<%= report_render -%>\n","default":true,"created_at":"2019-02-25 10:08:59 UTC","updated_at":"2019-02-25 10:09:04 UTC","name":"Registered hosts clone","id":154,"locations":[{"id":3,"name":"Pune","title":"Pune","description":""}],"organizations":[{"id":10,"name":"RedHat","title":"RedHat","description":""}]}

2- webUI shows Report Template properly when selecting the specific Organization & Location.

Comment 4 Shira Maximov 2020-02-11 15:56:49 UTC
Created redmine issue https://projects.theforeman.org/issues/28987 from this bug

Comment 5 Bryan Kearney 2020-02-12 09:03:10 UTC
Upstream bug assigned to mshira@redhat.com

Comment 6 Bryan Kearney 2020-02-12 09:03:14 UTC
Upstream bug assigned to mshira@redhat.com

Comment 7 Bryan Kearney 2020-02-12 19:02:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/28987 has been resolved.

Comment 8 Shira Maximov 2020-06-09 10:48:44 UTC
*** Bug 1728441 has been marked as a duplicate of this bug. ***

Comment 9 Lukáš Hellebrandt 2020-06-10 15:14:07 UTC
Verified with Sat 6.8 snap 3.0.

# curl  -u admin:<password> -k -X GET   https://$(hostname)/api/locations/<id>/report_templates  -H 'content-type: application/json'
=> correct results

# hammer report-template list --location-id 
=> correct results

Comment 12 errata-xmlrpc 2020-10-27 12:58:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.